# $Revision: 1.30 $, $Date: 2002/11/17 18:27:56 $
# conditional build
# _without_dist_kernel          without distribution kernel
%define		_orig_name	e100

Summary:	Intel(R) PRO/100 driver for Linux
Summary(pl):	Sterownik do karty Intel(R) PRO/100
Name:		kernel-net-%{_orig_name}
Version:	2.1.15
%define	_rel	3
Release:	%{_rel}@%{_kernel_ver_str}
License:	BSD
Vendor:		Intel Corporation
Group:		Base/Kernel
Source0:	ftp://aiedownload.intel.com/df-support/2896/eng/%{_orig_name}-%{version}.tar.gz
URL:		http://support.intel.com/support/network/adapter/pro100/
%{!?_without_dist_kernel:BuildRequires:         kernel-source }
BuildRequires:	%{kgcc_package}
Prereq:		/sbin/depmod
%{!?_without_dist_kernel:%requires_releq_kernel_up}
Provides:	kernel(e100)
Obsoletes:	e100
Obsoletes:	linux-net-e100
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains the Linux driver for the Intel(R) PRO/100 family
of 10/100 Ethernet network adapters.

%description -l pl
Ten pakiet zawiera sterownik dla Linuksa do kart sieciowych 10/100Mbit
z rodziny Intel(R) PRO/100.

%package -n kernel-smp-net-%{_orig_name}
Summary:	Intel(R) PRO/100 driver for Linux SMP
Summary(pl):	Sterownik do karty Intel(R) PRO/100
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
Prereq:		/sbin/depmod
%{!?_without_dist_kernel:%requires_releq_kernel_smp}
Obsoletes:	e100
Obsoletes:	linux-net-e100
Provides:	kernel(e100)

%description -n kernel-smp-net-%{_orig_name}
This package contains the Linux SMP driver for the Intel(R) PRO/100
family of 10/100 Ethernet network adapters.

%description -n kernel-smp-net-%{_orig_name} -l pl
Ten pakiet zawiera sterownik dla Linuksa SMP do kart sieciowych
10/100Mbit z rodziny Intel(R) PRO/100.

%prep
%setup -q -n %{_orig_name}-%{version}

%build
%{__make} -C src SMP=1 CC="%{kgcc} -DCONFIG_X86_LOCAL_APIC -DSTB_WA" KSRC=%{_kernelsrcdir}
mv -f src/%{_orig_name}.o src/%{_orig_name}-smp.o
%{__make} -C src clean KSRC=%{_kernelsrcdir}
%{__make} -C src CC="%{kgcc} -DSTB_WA" KSRC=%{_kernelsrcdir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/misc
install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/misc
install src/%{_orig_name}-smp.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/misc/%{_orig_name}.o
install src/%{_orig_name}.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/misc/%{_orig_name}.o

%clean 
rm -rf $RPM_BUILD_ROOT

%post
/sbin/depmod -a

%postun
/sbin/depmod -a

%post -n kernel-smp-net-%{_orig_name}
/sbin/depmod -a

%postun -n kernel-smp-net-%{_orig_name}
/sbin/depmod -a

%files
%defattr(644,root,root,755)
%doc e100.7 README LICENSE
/lib/modules/%{_kernel_ver}/misc/*

%files -n kernel-smp-net-%{_orig_name}
%defattr(644,root,root,755)
%doc e100.7 README LICENSE
/lib/modules/%{_kernel_ver}smp/misc/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: kernel-net-e100.spec,v $
Revision 1.30  2002/11/17 18:27:56  kloczek
- release 3: rebuild against kernel 2.2.22-6.

Revision 1.29  2002/09/30 13:47:46  kloczek
- release 2: rebuild against kernel 2.2.22.

Revision 1.28  2002/08/26 11:29:37  marcus

updated to 2.1.15

Revision 1.27  2002/08/21 10:52:03  qboosh
- use _kernelsrcdir macro

Revision 1.26  2002/08/19 18:56:08  marcus
- fix for make clean

Revision 1.25  2002/08/19 18:49:24  marcus
- dirty fix for Intel's Makefile

Revision 1.24  2002/08/19 17:35:16  marcus
- fixed KSRC

Revision 1.23  2002/08/19 17:12:38  blues
- release 1

Revision 1.22  2002/08/18 18:13:28  blues
- 2.1.6 - removed not longer needed patch.

Revision 1.21  2002/08/18 17:38:44  kloczek
- release 2: rebuild against kernel 2.2.21.

Revision 1.20  2002/06/14 09:03:26  blues
- 2.0.30 (as usually - no changes known...)
- new doc
STBR

Revision 1.19  2002/04/25 21:18:51  blues
- URL added

Revision 1.18  2002/04/25 15:08:54  blues
- fix in docs...

Revision 1.17  2002/04/25 10:15:26  blues
- 1.8.38 (as usually - no info about changes from Intel... :-/  )

Revision 1.16  2002/03/17 16:06:25  dzimi
- update release numbers to build with new kernel release

Revision 1.15  2002/03/04 22:21:05  marcus
- use new macros (ver-rel)
- removed smp/up obsoletes
- rel.4.

Revision 1.14  2002/02/26 18:56:01  qboosh
- use kgcc_package macro

Revision 1.13  2002/02/26 15:03:13  qboosh
- use requires_releq_kernel_{up,smp} and kgcc macros, release 3

Revision 1.12  2002/02/23 21:58:38  saq
- changed Conflicts: wrong-kernel to Requires: right-kernel
- release 2, STBR

Revision 1.11  2002/02/22 23:29:07  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/02/22 21:28:35  marcus
- new version 1.8.37

Revision 1.9  2002/02/17 04:16:03  kloczek
- adapterized.

Revision 1.8  2002/02/13 18:30:02  bonkey
- BuildRequires: egcs

Revision 1.7  2002/02/10 19:05:56  marcus
- rel. 3. (for build with 2.2.20-10 and 2.4 kernels)

Revision 1.6  2002/02/01 07:42:57  marcus
- -DSTB_WA to avoid problems with 10Mbps
- rel 2

Revision 1.5  2002/01/30 12:36:14  misiek
- reverted

Revision 1.4  2002/01/30 12:28:53  misiek
- it requires kernel-source, too

Revision 1.3  2002/01/27 10:17:05  marcus
- some typos in Conflicts: in SMP subpackage

Revision 1.2  2002/01/27 09:46:32  marcus
- addedd %post/%postun for smp

Revision 1.1  2002/01/27 09:09:36  marcus
- s/netdrivers/net/g in package name

Revision 1.1  2002/01/26 22:40:24  marcus
- change name to new scheme
- fix up/smp build

Revision 1.11  2002/01/26 21:25:33  marcus
- rel. 1, based on bcm5700 and e100 spec

Revision 1.10  2002/01/22 16:27:53  blues
- changed provides

Revision 1.9  2002/01/18 02:12:46  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2002/01/09 00:11:47  blues
- URL updated

Revision 1.7  2001/12/15 15:43:54  blues
- 1.6.29 (bug-fixes)
STBR

Revision 1.6  2001/10/16 13:58:40  qboosh
- kernel* Prereq: /sbin/depmod

Revision 1.5  2001/10/16 13:32:12  qboosh
- added empty base package to remove junk from .src.rpm name
- use kernel%%{smpstr}-*-* naming scheme
- added pl description
- release 2

Revision 1.4  2001/10/05 17:03:50  blues
- 1.6.22
- makefile patch updated

Revision 1.3  2001/09/21 22:08:17  blues
- added Provides and Obsoletes

Revision 1.2  2001/09/21 20:17:56  blues
- renamed to kernel-net-e100

Revision 1.1  2001/09/15 23:38:00  blues
- kernel module for Intel 100 family - this one is from Intel on BSD license
  and provides hardware vlan support (needs ians)
